Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 988127 - [abrt] alsa-utils-1.0.27.2-2.fc20: vsnprintf: Process /usr/sbin/alsactl was killed by signal 11 (SIGSEGV)
Summary: [abrt] alsa-utils-1.0.27.2-2.fc20: vsnprintf: Process /usr/sbin/alsactl was k...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-utils
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:be3addeaa23bde1347e1f8fa675...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-24 19:27 UTC by Nicolas Mailhot
Modified: 2015-06-29 12:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 12:07:34 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2013-07-24 19:27 UTC, Nicolas Mailhot
no flags Details
File: cgroup (deleted)
2013-07-24 19:27 UTC, Nicolas Mailhot
no flags Details
File: core_backtrace (deleted)
2013-07-24 19:27 UTC, Nicolas Mailhot
no flags Details
File: dso_list (deleted)
2013-07-24 19:27 UTC, Nicolas Mailhot
no flags Details
File: environ (deleted)
2013-07-24 19:27 UTC, Nicolas Mailhot
no flags Details
File: limits (deleted)
2013-07-24 19:27 UTC, Nicolas Mailhot
no flags Details
File: maps (deleted)
2013-07-24 19:27 UTC, Nicolas Mailhot
no flags Details
File: open_fds (deleted)
2013-07-24 19:27 UTC, Nicolas Mailhot
no flags Details
File: proc_pid_status (deleted)
2013-07-24 19:28 UTC, Nicolas Mailhot
no flags Details
File: var_log_messages (deleted)
2013-07-24 19:28 UTC, Nicolas Mailhot
no flags Details

Description Nicolas Mailhot 2013-07-24 19:27:28 UTC
Version-Release number of selected component:
alsa-utils-1.0.27.2-2.fc20

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/sbin/alsactl -s -n 19 -c -E ALSA_CONFIG_PATH=/etc/alsa/alsactl.conf --initfile=/lib/alsa/init/00main rdaemon
crash_function: vsnprintf
executable:     /usr/sbin/alsactl
kernel:         3.11.0-0.rc0.git3.1.fc20.x86_64
runlevel:       unknown
uid:            0

Truncated backtrace:
Thread no. 1 (6 frames)
 #2 vsnprintf at /usr/include/bits/stdio2.h:77
 #3 syslog_ at utils.c:112
 #4 cerror_ at utils.c:154
 #5 set_control at state.c:1325
 #6 set_controls at state.c:1512
 #7 load_state at state.c:1746

Comment 1 Nicolas Mailhot 2013-07-24 19:27:34 UTC
Created attachment 777942 [details]
File: backtrace

Comment 2 Nicolas Mailhot 2013-07-24 19:27:37 UTC
Created attachment 777943 [details]
File: cgroup

Comment 3 Nicolas Mailhot 2013-07-24 19:27:40 UTC
Created attachment 777944 [details]
File: core_backtrace

Comment 4 Nicolas Mailhot 2013-07-24 19:27:43 UTC
Created attachment 777945 [details]
File: dso_list

Comment 5 Nicolas Mailhot 2013-07-24 19:27:47 UTC
Created attachment 777946 [details]
File: environ

Comment 6 Nicolas Mailhot 2013-07-24 19:27:50 UTC
Created attachment 777947 [details]
File: limits

Comment 7 Nicolas Mailhot 2013-07-24 19:27:53 UTC
Created attachment 777948 [details]
File: maps

Comment 8 Nicolas Mailhot 2013-07-24 19:27:58 UTC
Created attachment 777949 [details]
File: open_fds

Comment 9 Nicolas Mailhot 2013-07-24 19:28:01 UTC
Created attachment 777950 [details]
File: proc_pid_status

Comment 10 Nicolas Mailhot 2013-07-24 19:28:04 UTC
Created attachment 777951 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2013-09-16 14:45:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 12 Raymond 2013-11-20 05:30:42 UTC
#2  0x000000000040af5a in vsnprintf (__ap=0x7fffbfaf5040, __fmt=0x412c00 "failed to obtain info for control #%d (%s)", __n=<optimized out>, __s=<optimized out>) at /usr/include/bits/stdio2.h:77
No locals.
#3  syslog_ (fcn=<optimized out>, line=<optimized out>, fmt=fmt@entry=0x412c00 "failed to obtain info for control #%d (%s)", ap=ap@entry=0x7fffbfaf5040, prio=3) at utils.c:112
        buf = "/usr/sbin/alsactl: set_control:1325failed to obtain info for control #\000\000\000\000\000\000\000\000\000\000 \000\000\000\060\000\000\000\000P\257\277\377\177\000\000\200R\257\277\377\177\000\000pR\257\277\377\177\000\000\244\347\304\221\067\000\000\000:\355\n\226\067\000\000\000\070\355\n\226\067\000\000\000P\252\304\221\067\000\000\000\244\347\304\221\067\000\000\000\256\377\v\226\067\000\000\000\254\377\v\226\067\000\000\000P\252\304\221\067", '\000' <repeats 11 times>, "\360M\257\277\377\177", '\000' <repeats 18 times>...
#4  0x000000000040b4f5 in cerror_ (fcn=fcn@entry=0x412aa8 <__FUNCTION__.9607> "set_control", line=line@entry=1325, cond=<optimized out>, fmt=fmt@entry=0x412c00 "failed to obtain info for control #%d (%s)") at utils.c:154
        ap = {{gp_offset = 8, fp_offset = 0, overflow_arg_area = 0x6, reg_save_area = 0x76}}
#5  0x0000000000409a81 in set_control (handle=0xafe880, control=0xafdce0, maxnumid=maxnumid@entry=0x7fffbfaf59bc, doit=doit@entry=1) at state.c:1325
        ctl = 0x7fffbfaf5260
        info = 0x7fffbfaf5140
        i = <optimized out>
        next = 0xafdd98
        numid1 = <optimized out>
        iface = SND_CTL_ELEM_IFACE_CARD
        iface1 = <optimized out>
        name1 = <optimized out>
        numid = 5
        type = <optimized out>
        count = <optimized out>
        device = 0
        device1 = <optimized out>
        subdevice = 0
        subdevice1 = <optimized out>
        name = 0xafdde0 "HDMI Jack"
        index1 = <optimized out>
        index = 0
        value = 0xafde90
        comment = 0xafdf00
        idx = <optimized out>
        err = -2
        set = <optimized out>
        id = 0xafdc70 "5"
        __FUNCTION__ = "set_control"

Comment 13 Adam Williamson 2013-12-20 02:02:21 UTC
Another user experienced a similar problem:

Didn't do anything specific, I guess this happens during boot or shutdown.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/sbin/alsactl -s -n 19 -c -E ALSA_CONFIG_PATH=/etc/alsa/alsactl.conf --initfile=/lib/alsa/init/00main rdaemon
crash_function: vsnprintf
executable:     /usr/sbin/alsactl
kernel:         3.12.0-0.rc3.git4.2.fc21.x86_64
package:        alsa-utils-1.0.27.2-3.fc20
reason:         Process /usr/sbin/alsactl was killed by signal 11 (SIGSEGV)
runlevel:       5 3
type:           CCpp
uid:            0

Comment 14 Raymond 2013-12-20 05:28:47 UTC
Are you sure that your case are the same ?

 iface = SND_CTL_ELEM_IFACE_CARD  
 name = 0xafdde0 "HDMI Jack"

This is the jack detection kcontrol of hdmi which has only have read access and fails at set_control

Comment 15 Raymond 2013-12-20 05:31:55 UTC
it is most likely a bug in alsactl

rdaemon   <card>  like daemon but do the state restore at first


this option restore value to controls with only read access

Comment 16 Adam Williamson 2013-12-20 05:32:12 UTC
It's an automated dupe from abrt. I'm not sure of anything.

Comment 17 Fedora End Of Life 2015-05-29 09:13:06 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Fedora End Of Life 2015-06-29 12:07:34 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.